2007-05-08  Benoît Dejean  <benoit@placenet.org>

	* fsusage.c: (_glibtop_bsd_get_fsusage_read_write):
	* netload.c: (glibtop_get_netload_p):
	
	Fixed build on OpenBSD.
	Patch by Jasper Lievisse Adriaanse <jasper@nedbsd.nl>.

2007-02-18  Benoît Dejean  <benoit@placenet.org>

	* AUTHORS:
	* Makefile.am:
	* NOTES:
	* close.c: (glibtop_close_p):
	* cpu.c: (glibtop_init_cpu_p), (glibtop_get_cpu_p):
	* fsusage.c: (_glibtop_bsd_get_fsusage_read_write):
	* glibtop_machine.h:
	* glibtop_server.h:
	* glibtop_suid.h:
	* init.c: (glibtop_init_r):
	* loadavg.c: (glibtop_init_loadavg_p), (glibtop_get_loadavg_p):
	* mem.c: (glibtop_init_mem_p), (glibtop_get_mem_p):
	* msg_limits.c: (glibtop_init_msg_limits_p),
	(glibtop_get_msg_limits_p):
	* netlist.c: (glibtop_init_netlist_s), (glibtop_get_netlist_s):
	* netload.c: (glibtop_init_netload_p), (glibtop_get_netload_p):
	* nosuid.c: (glibtop_open_s), (glibtop_close_s):
	* open.c: (glibtop_init_p), (glibtop_open_p):
	* ppp.c: (glibtop_init_ppp_p), (glibtop_get_ppp_p):
	* procargs.c: (glibtop_init_proc_args_p),
	(glibtop_get_proc_args_p):
	* procdata.c: (glibtop_get_procdata_s):
	* prockernel.c: (glibtop_init_proc_kernel_p),
	(glibtop_get_proc_kernel_p):
	* proclist.c: (glibtop_init_proclist_p), (glibtop_get_proclist_p):
	* procmap.c: (glibtop_init_proc_map_p), (glibtop_get_proc_map_p):
	* procmem.c: (glibtop_init_proc_mem_p), (glibtop_get_proc_mem_p):
	* procopenfiles.c: (glibtop_init_proc_open_files_s),
	(glibtop_get_proc_open_files_s):
	* procsegment.c: (glibtop_init_proc_segment_p),
	(glibtop_get_proc_segment_p):
	* procsignal.c: (glibtop_init_proc_signal_p),
	(glibtop_get_proc_signal_p):
	* procstate.c: (glibtop_init_proc_state_p),
	(glibtop_get_proc_state_p):
	* proctime.c: (glibtop_init_proc_time_p):
	* procuid.c: (glibtop_init_proc_uid_p), (glibtop_get_proc_uid_p):
	* sem_limits.c: (glibtop_init_sem_limits_p),
	(glibtop_get_sem_limits_p):
	* shm_limits.c: (glibtop_init_shm_limits_p),
	(glibtop_get_shm_limits_p):
	* siglist.c:
	* swap.c: (glibtop_init_swap_p), (glibtop_get_swap_p):
	* sysinfo.c: (init_sysinfo), (glibtop_get_sysinfo_s):
	* uptime.c: (glibtop_init_uptime_p), (glibtop_get_uptime_p):

	Huge (k)FreeBSD update.
	(k)FreeBSD support is freebsd/
	Other BSD are in bsd/
	
	Patch by Joe Marcus Clarke  <marcus@freebsd.org>
	Alexander Nedotsukov  <bland@FreeBSD.org>
	
	Closes #407693.

2007-01-31  Benoît Dejean  <benoit@placenet.org>

	* fsusage.c: (_glibtop_freebsd_get_fsusage_read_write):
	* netload.c: (glibtop_get_netload_p):
	* prockernel.c: (glibtop_get_proc_kernel_p):
	* procmap.c: (glibtop_get_proc_map_p):
	* proctime.c:
	* siglist.c:
	* /libgtop-sysdeps.m4:
	
	Various FreeBSD and kFreeBSD updates.
	Patch by Roy Marples  <uberlord@gentoo.org>.
	Reviewed by Petr Salinger  <Petr.Salinger@seznam.cz>.
	Closes #387200.

2006-11-27  Benoît Dejean  <benoit@placenet.org>

	* fsusage.c: (_glibtop_freebsd_get_fsusage_read_write):
	* mem.c: (glibtop_get_mem_p):
	* prockernel.c: (glibtop_get_proc_kernel_p):
	* proclist.c: (glibtop_get_proclist_p):
	* procmap.c: (glibtop_get_proc_map_p):
	* procmem.c: (glibtop_get_proc_mem_p):
	* procsignal.c: (glibtop_get_proc_signal_p):
	* procstate.c: (glibtop_get_proc_state_p):
	* proctime.c:
	* procuid.c: (glibtop_get_proc_uid_p):
	* swap.c: (glibtop_init_swap_p), (glibtop_get_swap_p):

	Added kfreebsd support.
	Patch by Petr Salinger <Petr.Salinger@seznam.cz>.

2006-04-09  Benoît Dejean  <benoit@placenet.org>

	* fsusage.c: (_glibtop_freebsd_get_fsusage_read_write):
	
	Fixed typo.

2006-04-04  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	* sysdeps/freebsd/fsusage.c:

	Use statvfs(2) if available instead of statfs(2).  The latter was
	replaced by the former and is no longer available under, e.g. NetBSD.

	Fixes bug #337235.

2006-04-04  Benoît Dejean  <benoit@placenet.org>

	* sysinfo.c: (init_sysinfo):
	
	Store only strings in values' values. g_strdup these strings.
	Even if values is never destroyed, set key_destroy_func to NULL.
	
	Leave description to NULL.

2006-04-04  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	* sysdeps/freebsd/Makefile.am:
	* sysdeps/freebsd/sysinfo.c:

	Bring back to life (from the 1.x versions) the sysinfo.c file for
	the freebsd sysdeps.  The new file comes from the FreeBSD ports
	repository and has some minor style changes by me.  This is required
	to get the glibtop_get_sysinfo_s function used by the sysdeps common
	code.

	Fixes bug #337251.

2006-04-04  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	* sysdeps/freebsd/proctime.c:

	Remove obsolete and non-functional code that breaks the build under
	NetBSD.  It was guarded by a conditional but could not compile
	anyway because it referred to an undefined variable.

	Fixes bug #337234.

2005-02-28  Benoît Dejean  <TazForEver@dlfp.org>

	* fsusage.c: (_glibtop_freebsd_get_fsusage_read_write): Forgot to add
	this file :)

2005-02-28  Benoît Dejean  <TazForEver@dlfp.org>

	* Makefile.am:
	* cpu.c: (glibtop_get_cpu_p):
	* netlist.c: (glibtop_get_netlist_s):
	* netload.c: (glibtop_get_netload_p):
	* procmem.c: (glibtop_get_proc_mem_p):
	
	Fix a bug in netlist where glibtop_netlist.number was never initialized to 0
	(this resulted in a NULL pointer dereference in the network load feature
	of the multiload applet)

	* Add support for getting interface flags and packet counts even on interfaces
	without IP addresses (needed for the network load feature of the multiload applet)

	* Restore per-process limits in the !FreeBSD or __FreeBSD_version < 500013
	case

	* Add CPU interrupt time as IOWAIT to get support for the cpu load feature of
	the multiload applet.
	
	Patch from marcus@freebsd.org (Joe Marcus Clarke).
	Closes #168704.

2005-02-23  Benoît Dejean  <TazForEver@dlfp.org>

	* Makefile.am:
	* netlist.c: (glibtop_get_netlist_s):
	* procmap.c: (glibtop_get_proc_map_p):
	* procmem.c: (glibtop_get_proc_mem_p):
	* procopenfiles.c: (glibtop_init_proc_open_files_s),
	(glibtop_get_proc_open_files_s):
	* proctime.c:
	
	Add support for FreeBSD 6-CURRENT.
	Use the more portable getrlimit to obtain process memory limits.
	Correctly determine process time.
	Stub out the procopenfiles() function (this is not yet implemented, however).
	Fix a nasty infinite loop and memory leak due to a forgot pointer increment.
	
	Patch from marcus@freebsd.org (Joe Marcus Clarke).
	Closes #168232.

2004-12-05  Benoît Dejean  <tazforever@dlfp.org>

	* Makefile.am:
	* netlist.c: (glibtop_init_netlist_s), (glibtop_get_netlist_s):
	Added glibtop_get_netlist. Patch from marcus@freebsd.org (Joe Marcus Clarke).

2004-08-28  Benoît Dejean  <tazforever@dlfp.org>

	* mem.c: (glibtop_get_mem_p):
	* ppp.c:
	* swap.c: (glibtop_init_swap_p), (glibtop_get_swap_p):
	* uptime.c: (glibtop_get_uptime_p): Merge a bunch of trivial OpenBSD
	patchs. To *BSD maintainers : please report bugs ! don't be selfish, share
	your patchs.

2004-08-22  Benoît Dejean  <tazforever@dlfp.org>

	* procstate.c:
	* uptime.c: (glibtop_get_uptime_p): Merged Marcus' patches.

2004-07-15  Benoît Dejean  <tazforever@dlfp.org>

	* procstate.c: (glibtop_get_proc_state_p): Fixed copy/paste error
	while setting buf->state.

2004-06-07  Benoît Dejean  <tazforever@dlfp.org>

	* netload.c: (glibtop_get_netload_p):
	* procstate.c: (glibtop_get_proc_state_p):
	* prockernel.c: (glibtop_get_proc_kernel_p): s/strncpy/g_strlcpy/.

	* procargs.c: (glibtop_get_proc_args_p):
	* procmap.c: (glibtop_get_proc_map_p): Cleaned.


2004-05-26  Benoît Dejean  <tazforever@dlfp.org>

	* procdata.c: (glibtop_get_procdata_s): Removed Linux related code.

2004-04-07  Bastien Nocera  <hadess@hadess.net>

	* prockernel.c: (glibtop_get_proc_kernel_p): patch for NetBSD/AMD64
	support (Julio M. Merino Vidal <jmmv@menta.net>)

2004-03-09  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am:
	* cpu.c: (glibtop_init_cpu_p), (glibtop_get_cpu_p):
	* glibtop_machine.h:
	* mem.c:
	* netload.c: (glibtop_get_netload_p):
	* prockernel.c: (glibtop_get_proc_kernel_p):
	* proclist.c: (glibtop_get_proclist_p):
	* procmap.c: (glibtop_get_proc_map_p):
	* procmem.c: (glibtop_get_proc_mem_p):
	* procsignal.c: (glibtop_get_proc_signal_p):
	* procstate.c: (glibtop_get_proc_state_p):
	* proctime.c:
	* procuid.c: (glibtop_get_proc_uid_p):
	* uptime.c: (glibtop_get_uptime_p): implement NetBSD support, and
	some build problems on FreeBSD (Closes: #135674)

2004-03-09  Bastien Nocera  <hadess@hadess.net>

	* procargs.c: (glibtop_get_proc_args_p):
	* procmap.c: (glibtop_get_proc_map_p):
	* swap.c: (glibtop_get_swap_p): fix g_malloc usage on non-Linux
        platforms (patch by Benoît Dejean <bnet@ifrance.com>)

2003-10-21  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: install only one library, libgtop-2.0
	Fix build-time warnings due to the redefinition of guint64

2003-10-20  Bastien Nocera  <hadess@hadess.net>

	* mem.c: (glibtop_get_mem_p):
	* prockernel.c: (glibtop_get_proc_kernel_p):
	* procmem.c: (glibtop_get_proc_mem_p):
	* proctime.c: (glibtop_get_proc_time_p): s/u_int64_t/guint64/

2003-10-20  Bastien Nocera  <hadess@hadess.net>

	* swap.c: (glibtop_get_swap_p): fix swap sizes in FreeBSD,
	patch by edwin@mavetju.org

2003-10-20  Bastien Nocera  <hadess@hadess.net>

	* glibtop_machine.h:
	* glibtop_server.h:
	* glibtop_suid.h:
	* open.c:
	* procargs.c:
	* proclist.c:
	* procmap.c:
	* swap.c: fixed compilation

2003-10-20  Bastien Nocera  <hadess@hadess.net>

	* procargs.c: (glibtop_get_proc_args_p):
	* proclist.c: (glibtop_get_proclist_p):
	* procmap.c: (glibtop_get_proc_map_p):
	* swap.c: (glibtop_get_swap_p): replace all the xmalloc crap by glib
	memory management functions

2001-10-17  Abel Cheung <maddog@linux.org.hk>

	* Makefile.am: move header to $(includedir)/libgtop-1.0/glibtop.

2001-02-27  Martin Baulig  <baulig@suse.de>

	* netload.c: Comment out the `subnet' field on BSDI; this should
	make it compile. Bug #13345.

	* shm_limits.c, msg_limits.c, sem_limits.c: Applied a patch
	from Rolf Grossmann (grossman@securitas.net) for FreeBSD 4.2.
	Fixes #51334.

2001-02-14  Martin Baulig  <baulig@suse.de>

	* proctime.c (glibtop_get_proc_time_p): Make things work on
	OpenBSD 2.6; this is basically the same than on NetBSD.

2000-02-13  Martin Baulig  <martin@home-of-linux.org>

	* *.c: kvm_nlist () returns -1 on error, but a positive return value
	does not necessarily mean failure. Fixes #3302 which was reported by
	Matthias Scheler some time ago.

1999-10-16  Martin Baulig  <martin@home-of-linux.org>

	Applied all patches from the FreeBSD 3.3 ports collection.

	* swap.c: Only #include <rlist.h> for __FreeBSD_version < 400005.

	* prockernel.c: Make it compile on FreeBSD / alpha.

	* procsignal.c: Some fixes for FreeBSD-current.

1999-10-16  Martin Baulig  <martin@home-of-linux.org>

	* procstate.c (glibtop_get_proc_state_p): Don't use the
	`GLIBTOP_PROCESS_*' constants for process states for
	LibGTop 1.0.x.

1999-07-29  Martin Baulig  <martin@home-of-linux.org>

	* proctime.c (glibtop_get_proc_time_p): Fix bug reported by
	Takis Psarogiannakopoulos: `start_time' are seconds since the
 	epoch as it is stated in the manual.

Tue Jun 15 16:04:10 1999 Timur Bakeyev <mc@bat.ru>

	* procuid.c: A fix to a ommitted case, when nor NetBSD, nor
	LibGTop >= 1.1.0. This should be investigated closely to cover
	more cases....

1999-05-26  Martin Baulig  <martin@home-of-linux.org>

	More NetBSD 1.4 fixes.

	* mem.c, procmap.c, procmem.c: Make this work with the new UVM code.

	[FIXME: This following most likely works on all BSD systems, but
	this needs to be tested; I made it conditional to NetBSD 1.4 at
	the moment. Please extend the conditionals to any other systems
	where this works ...]

	* procstate.c: Added `ruid' and `rgid' for LibGTop >= 1.1.0.
	* procuid.c: Added `ngroups' and `groups' for LibGTop >= 1.1.0.

1999-05-25  Martin Baulig  <martin@home-of-linux.org>

	* ppp.c: Make this work on NetBSD.

Thu Apr  8 23:47:29 1999  Timur Bakeyev  <timur@gnu.org>

 	* cpu.c, mem.c, netload.c, procargs.c, procstate.c, proctime.c,
 	sem_limits.c, shm_limits.c, swap.c: Added initial port for BSD/OS
	(aka BSDI) 2.x and 3.x. 4.x should also(?) work.

	Still, this port require more close look and extended check.

1999-03-19  Martin Baulig  <martin@home-of-linux.org>

	Added basic support for BSDI. It compiles without problems on
	BSDI 2.1 and 3.1, but it is *untested* - I'm neither root on
	the machine nor have I access to /dev/kmem, so I don't know
	whether it will work.

	You need to give configure the `--enable-hacker-mode' parameter
	to use the code.

	If someone can verify whether it actually works, please let me
	know.

1999-03-18  Martin Baulig  <martin@home-of-linux.org>

	* ppp.c: Don't use `sppp.pp_phase' if we don't HAVE_I4B_ACCT.
	This is an ugly hack until someone tells me which versions have
	this field and which not.

1999-02-25  Martin Baulig  <martin@home-of-linux.org>

	* prockernel.c, proctime.c: Applied patch Stanislav Grozev for
	OpenBSD: only include <osreldate.h> for FreeBSD.

1999-02-24  Martin Baulig  <martin@home-of-linux.org>

	* swap.c: Applied another patch from Jeremy Lea to
	make it work with FreeBSD-current.

1999-02-21  Martin Baulig  <martin@home-of-linux.org>

	* procmap.c, procmem.c: Applied patch from Jeremy Lea.

	* prockernel.c, proctime.c: Applied patch from the FreeBSD 2.2.8
	ports collection.

	* procsignal.c: Applied patch from the NetBSD-current ports
	collection.

1998-12-06  Martin Baulig  <martin@home-of-linux.org>

	* Make it work with OpenBSD 2.4.

1998-12-05  Martin Baulig  <martin@home-of-linux.org>

	* Make it work with NetBSD 1.3.2.

1998-11-17  Martin Baulig  <martin@home-of-linux.org>

	* Make it work with FreeBSD 3.0.

1998-11-11  Martin Baulig  <martin@home-of-linux.org>

	* *.c: It does not work to get information about the swapper task
	on FreeBSD 2.2.6, so we simple return if pid == 0.

1998-10-31  Martin Baulig  <martin@home-of-linux.org>

	* *.c: Use glibtop_warn_io_r () instead of glibtop_error_io_r ().

	* proctime.c, prockernel.c, procargs.c: Don't call kvm_uread () if
	the /proc filesystem is not mounted.

1998-10-26  Martin Baulig  <martin@home-of-linux.org>

	* netload.c: New file to get network load.

1998-10-26  Martin Baulig  <martin@home-of-linux.org>

	* procargs.c: New file to get command line arguments.

1998-10-25  Martin Baulig  <martin@home-of-linux.org>

	* ppp.c: New file to get PPP/ISDN statistics. Currently this only
	get ISDN statistics if you have the I4B package.

	To get the number of bytes transferred in/out you need to read the
	file `misc/i4b_acct.txt' in the LibGTop source directory to see
	how to enable this.

1998-10-03  Martin Baulig  <martin@home-of-linux.org>

	* procstate.c (glibtop_get_procstate_s): Use correct values for
	the `state' field.

	* proclist.c (glibtop_get_proclist_p): Honor the GLIBTOP_EXCLUDE_IDLE
	and GLIBTOP_EXCLUDE_SYSTEM flags of the `which' parameter.

1998-08-24  Martin Baulig  <martin@home-of-linux.org>

	* *.c (glibtop_init_p): Using correct `(1 << GLIBTOP_SYSDPES_*)'.
	* cpu.c, mem.c: Removed `const' from sysctl () constants to keep
	compiler happy.

	* procmem.c:  Added missing call to `glibtop_init_p'.

	* prockernel.c: Casting `nwchan' to `unsigned long' since this
	normally has the same size than a pointer. Well, is there a
	FreeBSD for 64bit architectures ?

1998-08-08  Martin Baulig  <martin@home-of-linux.org>

	* swap.c: Added swap usage based upton the source code
	of `pinfo'.

1998-08-07  Martin Baulig  <martin@home-of-linux.org>

	* *: Imported FreeBSD port of libgtop from Josh Sled.

	* ChangeLog: New file.
